###########################################################################
#
#   cpu.mak
#
#   Rules for building CPU cores
#
#   Copyright (c) 1996-2006, Nicola Salmoria and the MAME Team.
#   Visit http://mamedev.org for licensing and usage restrictions.
#
###########################################################################

# Misfitmame start

CPUSRC = $(EMUSRC)/cpu
CPUOBJ = $(EMUOBJ)/cpu

#-------------------------------------------------
# Generic Video Synchronization CPU
#-------------------------------------------------

CPUDEFS += -DHAS_GENSYNC=$(if $(filter GENSYNC,$(CPUS)),1,0)

ifneq ($(filter GENSYNC,$(CPUS)),)
OBJDIRS += $(CPUOBJ)/gensync
CPUOBJS += $(CPUOBJ)/gensync/gensync.o
DBGOBJS += $(CPUOBJ)/gensync/gensyncd.o
endif

$(CPUOBJ)/gensync/gensync.o: $(CPUOBJ)/gensync/gensync.c $(CPUOBJ)/gensync/gensyncd.c $(CPUOBJ)/gensync/gensync.h

